sata_set_spd
Prev | Chapter 4. libata Library | Next

## Name

sata_set_spd — set SATA spd according to spd limit

## Synopsis

`int sata_set_spd (` | struct ata_link * | link`)`;

## Arguments

`link`

  Link to set SATA spd for

## Description

Set SATA spd of `link` according to sata_spd_limit.

## LOCKING

Inherited from caller.

## RETURNS

0 if spd doesn't need to be changed, 1 if spd has been changed. Negative errno if SCR registers are inaccessible.

Prev | Up | Next
ata_port_disable | Home | ata_timing_cycle2mode